Name:		ipxe
Version:	1.0.0git
Release:	22.1
License:	GPL
Url:		http://ipxe.org/start
Group:		System
Summary:	Network bootloader
Source0:	%{name}.git-%{version}.tar.gz
Source1:	%{name}-rpmlintrc
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	syslinux gcc binutils mtools perl make mkisofs

%description
iPXE is an open source (GPL) network bootloader. It provides a direct replacement for proprietary PXE ROMs, with many extra features such as DNS, HTTP, iSCSI, etc.

%package devel
Group:		Development
Summary:	Network bootloader - ipxe source
Requires:	gcc make syslinux genisoimage

%description devel
This packages holds the ipxe build source, you may need it if
you want embedded scripts in your images.

%prep
%setup -n %{name}.git-%{version}

%build
cd src 
%__make NO_WERROR=1

%install
%{__install} -d %{buildroot}/usr/src/%{name}-%{version}
cp -r * %{buildroot}/usr/src/%{name}-%{version}

cd src
%__install -d 0755 %{buildroot}%{_datadir}/%{name}/bin/
for FILE in bin/ipxe.dsk bin/ipxe.usb bin/ipxe.iso bin/undionly.kpxe bin/ipxe.lkrn ; do
 %__install -m 0644 ${FILE} %{buildroot}%{_datadir}/%{name}/bin/
done

%post devel
mv -f /usr/src/%{name} /usr/src/%{name}.RPMSAVE
ln -s /usr/src/%{name}-%{version} /usr/src/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHTS README
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/bin
%{_datadir}/%{name}/bin/ipxe.*
%{_datadir}/%{name}/bin/undionly.kpxe

%files devel
%defattr(-,root,root)
/usr/src/%{name}-%{version}/*

%changelog
* Wed Apr 20 2011 Carsten Schoene <cs@linux-administrator.com> - 1.0.0-1
- initial build of iPXE
